#!/bin/bash
# update netinfo when the template file changes
# wmertens@cisco.com

export PATH=/etc/operator/sbin:/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin
FLAGDIR=/etc/TACSUNS/flags
FLAG=$FLAGDIR/netinfo.last
TEMPLATE=/etc/TACSUNS/netinfo.template

out=`md5 $TEMPLATE`
if [ $? != 0 ]; then
	logger -t postapply "$0: Could not calculate md5sum of $TEMPLATE"
	exit 0
fi
if [ "`cat $FLAG`" != "$out" ]; then
	recreate-netinfo && echo "$out" > "$FLAG"
fi
